Please select Into the mobile phone version | Continue to access the computer ver.
init. map error upon start of of DJI app
10825 32 2016-11-23
Uploading and Loding Picture ...(0/1)
o(^-^)o
ntretheway
lvl.1

United States
Offline

When I start the DJI app on on Samsung S4, I get the following message:  "init map error:  UNKOWN" .  This just started, does anyone know what it is?
2016-11-23
Use props
DJI Natalia
Super Moderator
Flight distance : 318 ft

Offline

What's the APP version and the mobile system of your Samsung?
The internet is fine, right? have you tried to restart your phone and check again?
Please upload a screenshot if it persists.
2016-11-23
Use props
Angharad
lvl.1
Flight distance : 1043 ft
United Kingdom
Offline

I experience the same problem on a Huawei Honor 7. I've just been in contact with DJI customer support, who basically said it wasn't their problem. However I am fairly sure it is. There are a number of reports of this error (Init map error: UNKNOWN) out there. All of them come from the DJI go app. They are from different devices (Samsung, Huawei, Xiaomi). All of them seem to be from the past five days, with one exception - a Russian one from 2 weeks ago.

I have threatened to return my new Phantom 3 to the shop as unfit for purpose, if I don't get a more constructive response. Hopefully that will get them doing something. I'll let you know.

Meanwhile, if you find a solution, please post!
Screenshot_2016-11-29-21-00-42.png
2016-11-29
Use props
DJI Natalia
Super Moderator
Flight distance : 318 ft

Offline

Angharad Posted at 2016-11-30 04:35
I experience the same problem on a Huawei Honor 7. I've just been in contact with DJI customer suppo ...

Angharad, sorry for the trouble caused, just to clarify, may I know have you installed DJI GO 4 as well?
You phone has "Here map" application installed or not?
2016-11-29
Use props
Angharad
lvl.1
Flight distance : 1043 ft
United Kingdom
Offline

Problem solved!
The problem seems to stem from DJI's move to Here maps in the latest update of the DJI Go app, which for whatever reason seems to fail to initialise on some devices.
The solution is to install the previous version of the app. This is available as an APK from here:
https://apkpure.com/dji-go/dji.pilot
I guess the only significant difference between 3.0.0 and 3.0.1 is the maps they use, so hopefully I'm not missing anything important.
I'll keep my Phantom. (Provided nothing else goes wrong!)
2016-11-30
Use props
Angharad
lvl.1
Flight distance : 1043 ft
United Kingdom
Offline

DJI Natalia Posted at 2016-11-30 03:44
Angharad, sorry for the trouble caused, just to clarify, may I know have you installed DJI GO 4 as ...

I didn't install DJI Go 4. Should I have? It worked on my friend's phone without that. And I have never installed Here Map as far as I am aware. It is certainly not installed at the moment. I checked in case there was some permissions problem.
2016-11-30
Use props
DJI Natalia
Super Moderator
Flight distance : 318 ft

Offline

Angharad Posted at 2016-12-1 04:56
Problem solved!
The problem seems to stem from DJI's move to Here maps in the latest update of the D ...

Glad to hear you got it sorted out.
There is no need install DJI GO 4 on your phone, please enjoy it and let us know for any further questions.
2016-11-30
Use props
fans54a1f6de
lvl.1

Finland
Offline

Uploaded the APK. The old one. Still doesn't work with my Huawei P9. I'm getting desperate. Please help? I'm now going to try other versions of the Apk in question. Wish me luck!
2016-12-2
Use props
Angharad
lvl.1
Flight distance : 1043 ft
United Kingdom
Offline

fans54a1f6de Posted at 2016-12-2 15:54
Uploaded the APK. The old one. Still doesn't work with my Huawei P9. I'm getting desperate. Please h ...

3.0.0 or 3.0.1? Current version is 3.1.0 and I believe DJI moved to Here maps with 3.0.1. For me, 3.0.0 works. I didn't try 3.0.1 but my guess is that it wouldn't work for the same reason that 3.1.0 doesn't.

Make sure you turn off auto-updates for that app, or you'll find your update gets overwritten. You can do that via the top right menu in the Google Play app when that app is displayed.

2016-12-2
Use props
Anfamarin
lvl.1

Finland
Offline

Angharad Posted at 2016-12-2 21:51
3.0.0 or 3.0.1? Current version is 3.1.0 and I believe DJI moved to Here maps with 3.0.1. For me, 3 ...

No worries, I did upload a bit too old version of the app, so there was the problem. Works fine now. Thanks!
2016-12-4
Use props
fans18547448
New

Malaysia
Offline

Same problem here..and how to get back the 3.0.0
2016-12-8
Use props
Angharad
lvl.1
Flight distance : 1043 ft
United Kingdom
Offline

fans18547448 Posted at 2016-12-8 14:13
Same problem here..and how to get back the 3.0.0

You need to find an APK for 3.0.0, which you can find if you search for it (find a source you can trust!). You also need to allow your phone to install apps from other sources (it's buried in the settings somewhere). Then just click on the APK to install.
Also, find the DJI Go app in Google Play and disable automatic updates via the top right menu. Otherwise it will just overwrite your installation with the new one when it updates.

Of course, the best solution to this would be for DJI to release a new version which doesn't have this problem!
2016-12-9
Use props
DJI Natalia
Super Moderator
Flight distance : 318 ft

Offline

fans18547448 Posted at 2016-12-8 22:13
Same problem here..and how to get back the 3.0.0

May I know what mobile device you are using and the current APP version?
2016-12-10
Use props
z4k4tt4ck
lvl.4
Flight distance : 531 ft
Australia
Offline

Angharad Posted at 2016-12-10 05:02
You need to find an APK for 3.0.0, which you can find if you search for it (find a source you can trust!). You also need to allow your phone to install apps from other sources (it's buried in the settings somewhere). Then just click on the APK to install.
Also, find the DJI Go app in Google Play and disable automatic updates via the top right menu. Otherwise it will just overwrite your installation with the new one when it updates.

The DJI GO app is only compatible with devices running iOS 8.0 or later or Android v4.1.2 or later.
The following devices are recommended:
iOS: iPhone 5s, iPhone 6, iPhone 6 Plus, iPad Air, iPad Air Wi-Fi + Cellular, iPad mini 2, iPad mini 2 Wi-Fi + Cellular, iPad Air 2, iPad Air 2 Wi-Fi + Cellular, iPad mini 3, and iPad mini 3 Wi-Fi + Cellular. This app is optimized for iPhone 5s, iPhone 6, and iPhone 6 Plus
Android: Samsung S5, Note 3, Sony Xperia Z3 , Google Nexus 7 II, Google Nexus 9, Mi 3, Nubia Z7 mini
Support for additional Android devices will become available as testing and development continues.

      I really cant understand how moderators can put up with the people on this forum.  
   
Your phone is not supported ... How many android phones are out there ? 10 000 ? more ?  

So because your unsupported phone isn't working perfectly you are pissed at dji and threatening to return your product ...... could you please explain your logic ? really im baffled ... its so bizarre.
2016-12-10
Use props
fans18547448
New

Malaysia
Offline

I'm using huawei p9
2016-12-12
Use props
Angharad
lvl.1
Flight distance : 1043 ft
United Kingdom
Offline

z4k4tt4ck Posted at 2016-12-10 18:20
The DJI GO app is only compatible with devices running iOS 8.0 or later or Android v4.1.2 or later.
The following devices are recommended:
iOS: iPhone 5s, iPhone 6, iPhone 6 Plus, iPad Air, iPad Air Wi-Fi + Cellular, iPad mini 2, iPad mini 2 Wi-Fi + Cellular, iPad Air 2, iPad Air 2 Wi-Fi + Cellular, iPad mini 3, and iPad mini 3 Wi-Fi + Cellular. This app is optimized for iPhone 5s, iPhone 6, and iPhone 6 Plus

Does it say the list of supported devices on the box?
No.
Was I made aware that there was such a list before buying?
No.
Was I told that there was an Android app?
Yes.
Have I ever come across an Android app which does not function on my device as I would expect it to?
No.
Does the existence of an Android app imply that it should be expected to work on my android device?
Yes. (I don't think that's naïve)
Would I have bought the drone had I been made aware that it would only work on certain devices, of which mine was not one?
No.
Would I have been within my rights to return it to the shop where I bought it, because the required app did not work on my device?
Almost certainly.

Lucky for all concerned that I found the solution. So perhaps instead of criticising, you could just say thankyou for the support that I have given to the community.
2016-12-14
Use props
Angharad
lvl.1
Flight distance : 1043 ft
United Kingdom
Offline

Did you get it working fans18547448?
Please ignore the rant above your last post about not having an approved device. You have Android, and that would by most people be taken to be adequate, as I assume that you like me were not made aware of a restricted subset of devices before purchase.

If you can locate an APK for version 3.0.0, you should be able to install that. You probably need to go to Settings - Advanced options - Security - Unknown sources and allow this option [my interface is not in English so my translation might not be quite right] in your system to allow you to install third party applications though; otherwise you will be restricted to only Play Store apps.

Once that is done, simply locate your APK download and open it.

You will need to disable updates for the DJI Go app via the play store (find it in play store, and use the menu in the top right), otherwise it will update to the newest version, which does not work.

Please let us know if this works for you.
2016-12-20
Use props
Makefi
lvl.1

Finland
Offline

Anfamarin Posted at 2016-12-4 11:27
No worries, I did upload a bit too old version of the app, so there was the problem. Works fine now. Thanks!

Same problem here, Huawei Honor 7 ... now same error
I have chanced anything after last light (301)  ... and now same error
No "Here map no DJI GO 4

I removed version 3,1 and put 3,0 but now it says  "How to connect"

very frustrating
2016-12-22
Use props
fans1f7c16ba
lvl.1

France
Offline

Hello,

I got the same problem,
Using HUAWEI P8.
"init map error : UNKNOWN" on DJI GO 3.1
"init map error :FILE_RW-ERROR" on DJI GO 4
The message appear at application start, and when I try to open flight log.
I don't want to go back on DJI GO 3.0 with my brand new Mavic Pro !
Can you help ?
2017-1-2
Use props
DJI Natalia
Super Moderator
Flight distance : 318 ft

Offline

Makefi Posted at 2016-12-22 23:43
Same problem here, Huawei Honor 7 ... now same error
I have chanced anything after last light (301)  ... and now same error
No "Here map no DJI GO 4

Makefi, may I know your aircraft's model?
The remote is linked to aircraft properly, right?
Have you tried to change another order to turn them on or change another USB cable?
2017-1-3
Use props
DJI Natalia
Super Moderator
Flight distance : 318 ft

Offline

fans1f7c16ba Posted at 2017-1-2 23:04
Hello,

I got the same problem,

Please upload a screenshot of the mobile system and firmware version on "about" page through APP.
Would you please make a short video showing the problem since the error appears when you start the app and open flight log.
I'll transfer this to our engineers for a further evaluation.
2017-1-3
Use props
fans1f7c16ba
lvl.1

United Kingdom
Offline

Hi Natalia,
Here is another screen shot for DJI GO 4 :

And this another one is for DJI GO 3.1 :

I'm in contact with DJI support. The only answer is "change network". The bug appears in wifi, 4G or GPRS.
And your answer is "change USB cable".
Are you serious?
I'm not the only one to have this problem on HUAWEI device, please :
. Talk with "Apple" from official dji support team, this is a large problem since 3.1 version, for many people. There is no need to change network nor the usb cable.
. This is a legal issue for Europeans countries, authoryties may ask us to show our flight logs to prove we didn't break the air rules. Also in case of accident.
. Convice your R&D department to buy a HUAWEI P8 device (or ask a colleague to share his phone) and try using DJI GO 3.1 or 4 on it, you will reproduce the bug easily.
And come back to us with an applicable solution (don't ask me to change my phone, please) !
Please act before I send an email to Europe Air authrities to inform of this problem.

Regards,
Christian
2017-1-4
Use props
Sgt.lamboo
lvl.1

Netherlands
Offline

Today I got this error in my screen. Strange thing about it: DJI app wasn't running. Not even in background.i have a google pixel
2017-3-14
Use props
elIdpkacFc0x
New

United Kingdom
Offline

Sgt.lamboo Posted at 2017-3-14 12:27
Today I got this error in my screen. Strange thing about it: DJI app wasn't running. Not even in background.i have a google pixel

I have exactly the same problem with the Google Pixel XL. I have both the DJI Go and DJI Go 4 app as i have a Osmo and Mavic.
I get this error message continuosly without either app open.
2017-3-18
Use props
gunitt
lvl.1

India
Offline

fans54a1f6de Posted at 2016-12-2 07:54
Uploaded the APK. The old one. Still doesn't work with my Huawei P9. I'm getting desperate. Please help? I'm now going to try other versions of the Apk in question. Wish me luck!

Following are some fixes that may resolve your issue:
Clear the Cache & Try Again.
Reset the Application.
Reinstall or Update the application
Install an older version of the App
Perform a Factory Reset
Also try to visit Huawei P9 Manual to know more tips and tricks.
2017-4-13
Use props
Angharad
lvl.1
Flight distance : 1043 ft
United Kingdom
Offline

Update: Version 3.1.5 of the DJI Go app, which was a forced upgrade, works on my Huawei Honor 7. So I guess someone found the problem and fixed it.
2017-5-12
Use props
Angharad
lvl.1
Flight distance : 1043 ft
United Kingdom
Offline

Update: Version 3.1.5 of the DJI Go app, which was a forced upgrade, works on my Huawei Honor 7.
So I guess someone found the problem and fixed it.
2017-5-12
Use props
Darrenddmp
lvl.2
Flight distance : 10007 ft
Jamaica
Offline

z4k4tt4ck Posted at 2016-12-10 10:20
The DJI GO app is only compatible with devices running iOS 8.0 or later or Android v4.1.2 or later.
The following devices are recommended:
iOS: iPhone 5s, iPhone 6, iPhone 6 Plus, iPad Air, iPad Air Wi-Fi + Cellular, iPad mini 2, iPad mini 2 Wi-Fi + Cellular, iPad Air 2, iPad Air 2 Wi-Fi + Cellular, iPad mini 3, and iPad mini 3 Wi-Fi + Cellular. This app is optimized for iPhone 5s, iPhone 6, and iPhone 6 Plus

This is the most ignorant statement I've ever read.

I had that problem. My phone which isn't on the recommended device list, work quiet fine prior to the app update, which stands to say it's a DJI issue and not an hardware issue.

What I did to resolve the problem was to uninstall the go app, then go into file explorer folder and delete all dji related folders. Then reinstall the dji go app.

Problem solved.

Please note deleting all dji folder means u will be delete your flight logs, videos, etc, so if those are important to you then save the folders externally to a USB thumb drive.
2017-5-30
Use props
djiuser_KeW82dZ
lvl.1
Flight distance : 23730 ft
United States
Offline

It's odd because I installed the Go app so on my Samsung Tab E, 9.6 with 6.0 and I don't get that error, at least I don't remember seeing it.
2017-10-25
Use props
djiuser_KeW82dZ
lvl.1
Flight distance : 23730 ft
United States
Offline

I took an advise and deleted all of the DJI Go files. When I reinstall it it said that my device was not compatible. Since I had it backed up, I restored it and when I opened it it ask to update it, and again it said that my device was not compatible. I will see if I get the error again
2017-10-25
Use props
djiuser_KeW82dZ
lvl.1
Flight distance : 23730 ft
United States
Offline

The app version is 3.1.11. Not sure how it let me install the app the first time. Oh well, I use it on my tablet more that there mobil
2017-10-25
Use props
djiuser_mYKDf416CIyx
lvl.1
Flight distance : 119934 ft
United Kingdom
Offline

Yes me too from new DJI Go 4 latest version
2018-10-3
Use props
djiuser_mYKDf416CIyx
lvl.1
Flight distance : 119934 ft
United Kingdom
Offline

Init error on Sony xz
2018-10-3
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules